<simple-notifications [options]="snackBarOptions"></simple-notifications>

<ng-template #snackBarRef let-testExecutionStatus="testExecutionStatus">
  <div
    #testSnackBars
    [id]="'tests-snack-bar-' + testExecutionStatus.testExecution.id"
  >
    <div class="d-flex align-items-center justify-content-between">
      <div class="d-flex align-items-center cursor-default">
        <b>{{ testExecutionStatus.testExecution.componentName }}</b> &nbsp;
        &vert; &nbsp;
        <b>Test #{{ testExecutionStatus.testExecution.id }}</b>
        <mat-icon
          class="mx-1 cached-icon"
          [ngClass]="{
            'infinite-rotation': testRunning
          }"
        >
          cached
        </mat-icon>
        <span>
          {{ testExecutionStatus.testExecution.totalTestsNumber }} /
          {{ testExecutionStatus.testCasesList.length }} Test cases running
        </span>
      </div>

      <mat-icon
        (click)="stopTestsExecution(testExecutionStatus)"
        (keydown)="stopTestsExecution(testExecutionStatus)"
        color="primary"
        class="ml-1 close-icon cursor-pointer"
      >
        close
      </mat-icon>

      <mat-icon
        (click)="maximizeSnackbar(testExecutionStatus)"
        (keydown)="maximizeSnackbar(testExecutionStatus)"
        color="primary"
        class="ml-1 zoom-out-map-icon cursor-pointer"
      >
        zoom_out_map
      </mat-icon>
    </div>
  </div>
</ng-template>
